#ifndef __MSDC_MMC_PROTOCAL_H__
#define __MSDC_MMC_PROTOCAL_H__

#include "msdc_drv.h"


extern int MsdcOnlineAutoKTune(int fgCmd, int fgRead, int fgWrite,msdc_cmd *pCmd);
extern int MsdcAutoKTuneSampleEdge(int fgCmd, int fgRead, int fgWrite,msdc_cmd *pCmd);

extern int MsdcRequest(msdc_cmd *pCmd);
extern void MsdcHandleResp(msdc_cmd *pCmd, unsigned int *pu4respType, unsigned int *pu4sdcCmd);
extern void MsdcSetupCmd(msdc_cmd *pCmd,unsigned int *pu4respType,unsigned int *pu4sdcCmd);
extern int MsdcReqCmdStart(msdc_cmd *pCmd);
extern int MsdcHandleDataTransfer(msdc_cmd *pCmd);

#endif /* __MSDC_MMC_PROTOCAL_H__ */
